package org.lazywizard.console.commands;

import com.fs.starfarer.api.Global;
import org.lazywizard.console.BaseCommand;
import org.lazywizard.console.BaseCommand.CommandContext;
import org.lazywizard.console.BaseCommand.CommandResult;
import org.lazywizard.console.CommonStrings;
import org.lazywizard.console.Console;
import static org.lazywizard.console.CommandUtils.*;

public class AddMarines implements BaseCommand
{
    @Override
    public CommandResult runCommand(String args, CommandContext context)
    {
        if (!context.isInCampaign())
        {
            Console.showMessage(CommonStrings.ERROR_CAMPAIGN_ONLY);
            return CommandResult.WRONG_CONTEXT;
        }

        if (args.isEmpty() || !isInteger(args))
        {
            return CommandResult.BAD_SYNTAX;
        }

        final int amount = Integer.parseInt(args);
        if (amount >= 0)
        {
            Global.getSector().getPlayerFleet().getCargo().addMarines(amount);
            Console.showMessage("Added " + amount + " marines to player fleet.");
        }
        else
        {
            Global.getSector().getPlayerFleet().getCargo().removeMarines(-amount);
            Console.showMessage("Removed " + -amount + " marines from player fleet.");
        }

        return CommandResult.SUCCESS;
    }
}
